org.apache.solr.client.solrj.impl

## Class LBHttpSolrClient.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBHttpSolrClient.Builder

- Enclosing class:
    LBHttpSolrClient

      public static class LBHttpSolrClient.Builder
      extends Object

  Constructs `LBHttpSolrClient` instances from provided configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LBHttpSolrClient` | `build()` Create a `HttpSolrClient` based on provided configuration.
    `HttpSolrClient.Builder` | `getHttpSolrClientBuilder()`
    `LBHttpSolrClient.Builder` | `withBaseSolrUrl(String baseSolrUrl)` Provide a Solr endpoint to be used when configuring `LBHttpSolrClient` instances.
    `LBHttpSolrClient.Builder` | `withBaseSolrUrls(String... solrUrls)` Provide Solr endpoints to be used when configuring `LBHttpSolrClient` instances.
    `LBHttpSolrClient.Builder` | `withHttpClient(org.apache.http.client.HttpClient httpClient)` Provides a `HttpClient` for the builder to use when creating clients.
    `LBHttpSolrClient.Builder` | `withHttpSolrClientBuilder(HttpSolrClient.Builder builder)` Provides a `HttpSolrClient.Builder` to be used for building the internally used clients.
    `LBHttpSolrClient.Builder` | `withResponseParser(ResponseParser responseParser)` Provides a `ResponseParser` for created clients to use when handling requests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### getHttpSolrClientBuilder

          public HttpSolrClient.Builder getHttpSolrClientBuilder()

    - #### withBaseSolrUrl

          public LBHttpSolrClient.Builder withBaseSolrUrl(String baseSolrUrl)

      Provide a Solr endpoint to be used when configuring `LBHttpSolrClient` instances. Method may be called multiple times. All provided values will be used.

    - #### withBaseSolrUrls

          public LBHttpSolrClient.Builder withBaseSolrUrls(String... solrUrls)

      Provide Solr endpoints to be used when configuring `LBHttpSolrClient` instances. Method may be called multiple times. All provided values will be used.

    - #### withHttpClient

          public LBHttpSolrClient.Builder withHttpClient(org.apache.http.client.HttpClient httpClient)

      Provides a `HttpClient` for the builder to use when creating clients.

    - #### withResponseParser

          public LBHttpSolrClient.Builder withResponseParser(ResponseParser responseParser)

      Provides a `ResponseParser` for created clients to use when handling requests.

    - #### withHttpSolrClientBuilder

          public LBHttpSolrClient.Builder withHttpSolrClientBuilder(HttpSolrClient.Builder builder)

      Provides a `HttpSolrClient.Builder` to be used for building the internally used clients.

    - #### build

          public LBHttpSolrClient build()

      Create a `HttpSolrClient` based on provided configuration.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.